CycleRunsController_advance
POST
/api/cycles/runs/{runId}/advance
const url = 'https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/advance';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"nextPhaseIdx":1,"nextPhaseOperatorUserId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","completionAttemptId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","acknowledgement":"close_without_agent_reply","skipNextPhase":true,"expectedPhaseId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","expectedActivationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","actionAttemptId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/advance \ --header 'Content-Type: application/json' \ --data '{ "nextPhaseIdx": 1, "nextPhaseOperatorUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "completionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "acknowledgement": "close_without_agent_reply", "skipNextPhase": true, "expectedPhaseId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedActivationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "actionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
nextPhaseIdx
integer
nextPhaseOperatorUserId
string format: uuid
completionAttemptId
string format: uuid
acknowledgement
string
skipNextPhase
boolean
expectedPhaseId
string format: uuid
expectedActivationId
string format: uuid
actionAttemptId
string format: uuid